Latest stable (2.5.0) incompatible with FFmpeg 3.0

FFmpeg recently pushed out the 3.0 release, and latest stable (2.5.0) from 2014 apparently isn't up to the task anymore. Build logs on OS X 10.11.3:

> make install ... Making install in ffmpeg /bin/sh ../../libtool --tag=CC --mode=compile clang -DHAVE_CONFIG_H -I. -I../.. -I/usr/local/Cellar/ffmpeg/3.0/include -I../.. -I/usr/local/Cellar/ffmpeg/3.0/include -I../.. -D_THREAD_SAFE -pthread -g -O2 -Wall -W -I/usr/local/Cellar/jack/0.124.1/include -I/usr/local/Cellar/libsamplerate/0.1.8/include -MT libffmpeg_decoder_la-ffmpeg.lo -MD -MP -MF .deps/libffmpeg_decoder_la-ffmpeg.Tpo -c -o libffmpeg_decoder_la-ffmpeg.lo `test -f 'ffmpeg.c' || echo './'`ffmpeg.c libtool: compile: clang -DHAVE_CONFIG_H -I. -I../.. -I/usr/local/Cellar/ffmpeg/3.0/include -I../.. -I/usr/local/Cellar/ffmpeg/3.0/include -I../.. -D_THREAD_SAFE -pthread -g -O2 -Wall -W -I/usr/local/Cellar/jack/0.124.1/include -I/usr/local/Cellar/libsamplerate/0.1.8/include -MT libffmpeg_decoder_la-ffmpeg.lo -MD -MP -MF .deps/libffmpeg_decoder_la-ffmpeg.Tpo -c ffmpeg.c -fno-common -DPIC -o .libs/libffmpeg_decoder_la-ffmpeg.o ffmpeg.c:70:10: fatal error: 'libavutil/audioconvert.h' file not found #include <libavutil/audioconvert.h> ^ 1 error generated. make[2]: *** [libffmpeg_decoder_la-ffmpeg.lo] Error 1 make[1]: *** [install-recursive] Error 1 make: *** [install-recursive] Error 1

I then tried trunk and it builds without problems.

Since 2.6.0 doesn't seem to be coming any time soon (or is it? 2.6-alpha1 seems to be from Sep 5, 2014...), would you please consider making a patch release, say, 2.5.1, to maintain compatibility with latest FFmpeg? The build issues with 2.5.0 are unfortunately blocking FFmpeg 3.0 from landing on Homebrew (we require a stable release there). Thanks.

Forums:

The patch for this is already in the SVN version 2.5 branch (as r2779 committed 30 Nov 2015) and it builds just fine for me.

Last year saw a bit of a hiatus in MOC development due to issues unrelated to MOC, but we are back on the warpath again now and are just awaiting feedback from the OpenBSD and OSX testers before releasing both MOC 2.6-alpha2 and 2.5.1. MOC 2.6-alpha3 is also well advanced.

Hi, thanks for the info. I'm not very good at SVN so I only tested the stable and the latest revision. Good to know it's already been backported to the 2.5 branch.

That said, is there an ETA for 2.5.1? Depending on how soon it is going to be released, we might need to consider backporting a single revision on our own (which might not be in the best interest of users, given that I've no knowledge of this project) in order to get FFmpeg out.

P.S. Is it possible to get email notifications from this forum? I assumed I would be alerted when there's a reply, but apparently there was nothing in my inbox...

You do not need to do the backporting yourself; just use svn diff to grab the appropriate patches and apply those. The appropriate patch is r2779, but I'd also recommend applying r2780 and r2781. These patches apply cleanly and build without errors. (I assume you have some mechanism in Homebrew to retain these as distinct patches to be applied at build time, but if not then you can just pre-apply them.)

Whether you apply these patches to MOC 2.5.0 or I release 2.5.1 with the patches already applied makes no difference regarding this issue.

Estimating when 2.5.1 will be released is difficult when several people are involved all of whom have other commitments of their own.

The lack of targetted e-mail notification is a weakness of the MOC Forum. It is possible to be enrolled to be notified when there is some activity, but it's not topic-specific... it's all or nothing. If we were to do it for everyone, it'd become a spamming channel.

Thanks for the quick response.

You do not need to do the backporting yourself; just use svn diff to grab the appropriate patches and apply those.

That's basically what I meant by backporting, except I might have needed to adjust some things myself after applying the patch. Luckily, except for regenerating Makefiles with autoreconf I didn't need to touch anything else, thanks for your clean patch.

The appropriate patch is r2779, but I'd also recommend applying r2780 and r2781. These patches apply cleanly and build without errors. (I assume you have some mechanism in Homebrew to retain these as distinct patches to be applied at build time, but if not then you can just pre-apply them.)

Yep, I already applied r2779 in https://github.com/Homebrew/homebrew/pull/49359 earlier today and it worked. The pull request will hopefully be merged into Homebrew core soon, then FFmpeg 3.0 won't be blocked anymore. We prefer to do as little modification to a stable release as possible, so if r2780 and r2781 aren't absolutely necessary we'll just pass on those for 2.5.0.

Estimating when 2.5.1 will be released is difficult when several people are involved all of whom have other commitments of their own.

No problem!

MOC 2.5.1 is now released and the FFmpeg 3.0 API adaptions are included.